/*
  But : Charger la page principale qui servira de container pour les vues
  Auteur : Maxime Commergnat
  Date :   20.06.2021 / V1.0 
*/
$(document).ready(function () {
  service = new Service();
  indexCtrl = new IndexCtrl();
  service.centraliserErreurHttp(indexCtrl.afficherErreurHttp);
});

class IndexCtrl {
  constructor() {
    this.loadLogin();
  }

  // Va afficher les erreurs dans une alerte de la page
  afficherErreurHttp(msg) {
    alert(msg);
  }

  // Va charger la vue login.html
  loadLogin() {
    service.chargerVue("login", () => new LoginCtrl());
  }
  // Va charger la vue animeSearch.html
  loadAnimeSearch() {
    service.chargerVue("animeSearch", () => new AnimeSearchCtrl());
  }
}
